ata_down_xfermask_limit
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_down_xfermask_limit — adjust dev xfer masks downward

## Synopsis

`int ata_down_xfermask_limit (` | struct ata_device * | dev,
| unsigned int | sel`)`;

## Arguments

`dev`

  Device to adjust xfer masks

`sel`

  ATA_DNXFER_* selector

## Description

Adjust xfer masks of `dev` downward. Note that this function does not apply the change. Invoking `ata_set_mode` afterwards will apply the limit.

## LOCKING

Inherited from caller.

## RETURNS

0 on success, negative errno on failure

Prev | Up | Next
sata_set_spd_needed | Home | ata_set_mode